Run of fresh-releases for derby

Try this locally (using silver-platter):

debian-svp new-upstream derby 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
Processing: derby
Total 0 (delta 0), reused 0 (delta 0)
/usr/lib/python3/dist-packages/debian/copyright.py:652: UserWarning: Fixing Format URL
  warnings.warn('Fixing Format URL')
Using version string 10.15.1.3.
Using uscan to look for the upstream tarball.
uscan warn: Possible OpenPGP signature found at:
   http://archive.apache.org/dist/db/derby/db-derby-10.15.1.3/db-derby-10.15.1.3-src.tar.gz.asc
 * Add opts=pgpsigurlmangle=s/$/.asc/ or opts=pgpmode=auto to debian/watch
 * Add debian/upstream/signing-key.asc.
 See uscan(1) for more details
Elapsed time: 0:01:05.335354
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/local.py", line 157, in get
    return osutils.open_file(path, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/home/janitor/tmp/tmp0v629rdu/derby_10.15.1.3.orig.tar.gz'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 647, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 615, in main
    resume_subworker_result=resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 483, in process_package
    resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 213, in make_changes
    committer=self.committer, trust_package=TRUST_PACKAGE)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 377, in merge_upstream
    upstream_branch, upstream_revisions, locations)
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 176, in get_tarballs
    return fetch_tarball(package, version, orig_dir, locations, v3)
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 164, in fetch_tarball
    repack_tarball(location, dest_name, target_dir=orig_dir)
  File "/home/janitor/.config/breezy/plugins/debian/repack_tarball.py", line 234, in repack_tarball
    _repack_other(target_transport, new_name, source_name)
  File "/home/janitor/.config/breezy/plugins/debian/repack_tarball.py", line 188, in _repack_other
    with open_file(source_name) as source_f:
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 379, in open_file
    return open_file_via_transport(filename, transport)
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 398, in open_file_via_transport
    result = do_catching_redirections(open_file, transport, follow_redirection)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
    return action(transport)
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 392, in open_file
    return transport.get(filename)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/local.py", line 161, in get
    self._translate_error(e, path)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 356, in _translate_error
    raise errors.NoSuchFile(path, extra=e)
breezy.errors.NoSuchFile: No such file: '/home/janitor/tmp/tmp0v629rdu/derby_10.15.1.3.orig.tar.gz': [Errno 2] No such file or directory: '/home/janitor/tmp/tmp0v629rdu/derby_10.15.1.3.orig.tar.gz'

Full worker log